edu.northwestern.at.morphadorner.corpuslinguistics.stringsimilarity

## Class JaroWinkler

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.stringsimilarity.JaroWinkler

- All Implemented Interfaces:
    StringSimilarity

      public class JaroWinkler
      extends java.lang.Object
      implements StringSimilarity

  Winkler's reweighting scheme for distance metrics. In the literature, this was applied to the Jaro metric ('An Application of the Fellegi-Sunter Model of Record Linkage to the 1990 U.S. Decennial Census' by William E. Winkler and Yves Thibaudeau.)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaroWinkler()` Create JaroWinkler instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `jwSimilarity(java.lang.String source, java.lang.String target)` Verilen iki String'in benzerlik orann Jaro-Winkler algortimas kullanarak hesaplar.
    `double` | `similarity(java.lang.String s1, java.lang.String s2)` Compute similarity of two strings using Jaro-Winkler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaroWinkler

          public JaroWinkler()

      Create JaroWinkler instance.

  - ### Method Detail

    - #### jwSimilarity

          public static double jwSimilarity(java.lang.String source,
                            java.lang.String target)

      Verilen iki String'in benzerlik orann Jaro-Winkler algortimas kullanarak hesaplar. Oluan sonu 0-1 arasndadr, 1'e yaklatka benzerlik artar, ayn stringler iin "1" dir
      Parameters:
        `source` -
        `target` -
      Returns:
        Stringlerin benzerlik oran. stringler ayn ise 1

    - #### similarity

          public double similarity(java.lang.String s1,
                          java.lang.String s2)

      Compute similarity of two strings using Jaro-Winkler.
      Specified by:
        `similarity` in interface `StringSimilarity`
      Parameters:
        `s1` - First string.
        `s2` - Second string.
      Returns:
        Similarity measure in the range [0,1] .